import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Diff extends SfdxCommand {
    static description: string;
    static longDescription: string;
    static flagsConfig: {
        sourcepath: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<AnyJson>;
    formatResult(remote: string, sourcePath: string, fileName: string): {
        remote: string;
        local: string;
        fileName: string;
    };
}
