import { core } from '@salesforce/command';
import { MetadataInfo } from '../types';
import { Processor } from './processor';
export default class AuraProcessor implements Processor {
    private metadataInfo;
    private connection;
    private cacheFolder;
    constructor(metadataInfo: MetadataInfo, connection: core.Connection);
    getMetadata(): Promise<string>;
    getCachedFilePath(): Promise<string>;
    getMdFileName(): string;
    buildQuery(): string;
}
