import { MetadataInfo } from './types';
export default class Validations {
    static validateSourcePath(sourcePath: string): Promise<void>;
    static isValidPath(sourcePath: string): void;
    static isValidPackageSource(sourcePath: string): Promise<void>;
    static isValidProject(): Promise<void>;
    static validateMetadataInfo(metadataInfo: MetadataInfo, sourcePath: string): void;
    static isValidMetadataInfo(metadataInfo: MetadataInfo, sourcePath: string): void;
    static isParentFolderValid(metadataInfo: MetadataInfo, sourcePath: string): void;
}
